@import "palette";

body{
  .container{
    article {
      height: 100vh;
      header{
        .parallax {
          //min-height: 100%;
          height: 420px;
          //height: 20vh;
          position: relative;
          background-size: cover;
          opacity: 0.5;
          //background: url("../img/home/hentrance.png") no-repeat fixed center;
          z-index: 1;
          overflow: hidden;

          .parallaxText {
            font-size: 150%;
            font-family: "Roboto", sans-serif;
            @media screen and (max-width: 768px) {
              font-size: 12px;
              letter-spacing: 2px;
            }
            position: absolute;
            top: 50%;

            width: 100%;

            text-align: center;
            letter-spacing: 8px;
            text-transform: uppercase;

            color: #000;
            transition: 0.3s ease-in;

            .parallaxBorder {
              padding: 3vh;
              height: 10vh;
              opacity: .75;
              color: #fff;
              background-color: #ff6261;

              .trans {
                background-color: transparent;
              }
            }
          }

        }
      }

      .content{
        width: 85vw;
        margin: 25px auto auto;
        section{
          h3{
            font-size: 24px;
            &::first-letter{
              color: $base-color;
              letter-spacing: 0.12rem;
            }
          }
          >p{
            line-height: 20px;
            letter-spacing: 0.08rem;
            font-family: Merriweather, sans-serif;
            &:first-letter{
              margin-left: 10px;
              color: $base-color;
              font-size: 18px;
            }
          }
        }
        footer{
          display: block;
          padding-top: 60px;

          span{
            width: 100%;
            text-align: right;
            display: block;
            i{
              padding-top: 0px;
              margin-top: 10px;
            }
          }
        }
      }


    }
    .comments {
      //width: 95%;
      //height: 350px;
      //margin: auto;

      .comment_form{
        h3{
          margin-left: 20px;
          background-image: linear-gradient(120deg, #fa5763 0%, #f47a3b 50%, #fa5763 100%);
          background-repeat: no-repeat;
          background-size: 250px 0.2rem;
          background-position: 0 100%;
        }
        form {
          width: 100%;
          margin: 20px;

          > div {
            position: relative;
            overflow: hidden;
          }
          textarea{
            width: 50%;
            height: 120px;

          }
          input, textarea {
            border: 2px solid gray;
            background: none;
            position: relative;
            top: 0;
            left: 0;
            z-index: 1;
            padding: 8px 12px;
            outline: 0;

            &:valid {
              // Hides the label
              background: white;
            }
            &:focus {
              border-color: $base-color;
            }
            &:focus + label {
              background: $base-color;
              color: white;
              font-size: 70%;
              padding: 1px 6px;
              z-index: 2;
              text-transform: uppercase;
            }
          }
          input{
            color: $base-color;
            font-weight: bold;
            font-size: 16px;
            &::first-letter{

            }
            letter-spacing: 2px;
            margin-bottom: 10px;
            width: 320px;
          }
          label {
            transition: // not padding
                    background 0.2s,
                    color 0.2s,
                    top 0.2s,
                    bottom 0.2s,
                    right 0.2s,
                    left 0.2s;
            position: absolute;
            color: #999;
            padding: 7px 6px;
          }
          textarea {
            display: block;
            resize: vertical;
            font-size: 18px;
            letter-spacing: 2px;

          }
        }

        form{
          input, textarea {
            padding: 12px 12px 12px 12px;
          }
          label {
            top: 0;
            bottom: 0;
            left: 0;
            width: 320px;
          }

          input:focus, textarea:focus {

            padding: 4px 6px 20px 6px;
          }
          input:focus + label, textarea:focus + label {
            top: 100%;
            margin-top: -16px;
          }
        }


        form label {
          display: block;
          margin-top: 5px;
          input{
            display: block;
          }
        }
        button[type=submit]{
          color: #ff6261;
          font-weight: bold;
          font-size: 22px;
          margin-top: 15px;
          cursor: pointer;
          //background: transparent;
          border: 1px solid #ff6261;
          width: 320px;
          height: 80px;
          overflow: hidden;
          position: relative;
          transition: 0.7s;
          border-radius: 15px;
          background-size: 20px 0.2em;
          background:  linear-gradient(120deg, #fa5763 0%, #f47a3b 100%) no-repeat 0 100px;

          >i{
            position: absolute;
            left: -100%;
            color: #fff0fe;
            font-size: 70px;
            //transform: rotate(180deg);
            transition: 0.7s;

          }
          &:hover{
            background-position: 0 0;
            color: transparent;
            transition: 0.7s;

            >i{
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);
              //transition: 0.7s;
            }
          }
          //color: transparent; /* Hide button text */
          //padding: 20px 70px;
        }
      }


      .comment_block{
        width: 90%;
        display: block;
        position: relative;
        padding:7px;
        border-radius: 15px;
        margin: 5rem auto auto;

        >p{
          font-family: "Poppins", sans-serif;
          margin-top: 7px;
          &::first-letter{
            font-weight: bold;
            font-size: 18px;
            color: #fa5763;
          }
        }
        &:before{
          content:"";
          position: absolute;
          z-index: -1;
          top: 50%;
          bottom: 0;
          left: -5px;
          background:  #fa5763;
          width: 7px;
          height: 7px;
          //border-left: 5px solid #fa5763;
          border-radius: 5px;
          transform: translate(-50%);
          transition: 0.5s;
        }
        &:hover{
          .name{
            background-image: linear-gradient(120deg, #fa5763 0%, #f47a3b 50%, #fa5763 100%);
            background-repeat: no-repeat;
            background-size: 90% 0.2rem;
            background-position: 50% 100%;
            padding-bottom:5px;
            transition: 0.5s;
          }
          .date{
            color:#fa5763 ;
            transition: 0.5s;
          }
          &:before{
            //border-left: 10px solid #fa5763;
            left: -5px;
            top: 0;
            //width: 15px;
            height: 100%;
            transition: 0.5s;

          }
        }

        .name{
          background-image: linear-gradient(120deg, #fa5763 0%, #f47a3b 50%, #fa5763 100%);
          background-repeat: no-repeat;
          background-size: 0 0.2rem;
          background-position: 50% 100%;
          padding-bottom:5px;
          transition: 0.5s;

          font-size: 1.5rem;
          font-weight:bold ;
        }
        .date{
          font-weight: bold;
          margin: 0 0 auto auto;
          transition: 0.5s;

          @media screen and (max-width: 768px){
            margin-top: 10px;

          }
          &:before{
            content: 'le';
            margin-right: 2px;

          }
        }

      }
    }

  }



}